/
Get sender for project
Returns a sender for a project.
Security
BasicAuth and BearerAuth and OAuth2Production
The unique ID of the project. You can find this on the Sinch Dashboard.
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/senders/{senderId}
curl -i -X GET \
-u '<username>:<password>' \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/senders/{senderId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Sender
Region sender is provisioned in.
Enum:"BR""EU""US""UNRECOGNIZED"
Region sender store the data in Meta.
Enum:"AE""AU""BH""BR""CA""CH""DE""GB""ID""IN"
Business manager.
Enum:"SINCH_AMERICA""SINCH_BR""SINCH_MX""SINCH_SEP""SINCH_UK""UNRECOGNIZED"
Conversation API app regions the sender can be used for.
The current state of the sender.
Enum:"ACTIVE""IN_PROGRESS""INACTIVE""PENDING_VERIFICATION""SUSPENDED""ERROR"
If set, the details of the Conversation API App the sender is connected to.
Current quality rating of the sender.
Enum:"GREEN""RED""YELLOW""UNKNOWN""UNRECOGNIZED"
Bearer token of the sender. The bearer token is needed to connect the sender to a Conversation API App.
Provider for phone number.
Enum:"CUSTOMER""SINCH""UNRECOGNIZED"
This property is deprecated. Use AccountDto.businessDailyLimit instead. Current daily message limit of the sender.
Enum:"NOT_SET""TIER_100K""TIER_10K""TIER_1K""TIER_250""TIER_2K""TIER_50""TIER_UNLIMITED""UNRECOGNIZED"
Please use get account endpoint for this information.
Enum:"DISABLE""REINSTATE""SCHEDULE_FOR_DISABLE""UNRECOGNIZED"
Response
Response with a sender.
{ "id": "cf11794a-6a5e-4a12-b103-da79bd378bf1", "state": "ACTIVE", "details": { "displayName": "Test name", "description": "Test description", "vertical": "PROFESSIONAL_SERVICES", "email": "test@test.com", "address": "Test address", "about": "Test about", "websiteOne": "https://example-1.com", "photoUrl": "https://example.com/photos/1.png" }, "created": "2023-01-19T13:11:08.204Z", "modified": "2023-01-19T13:11:08.204Z", "region": "EU", "metaLocalStorage": "DE", "conversationApiApp": "4CF9CE97504C4A468F4610919D17ECC1", "conversationApiAppDetails": { "id": "4CF9CE97504C4A468F4610919D17ECC1", "projectId": "ea026751-3edf-40a9-ad93-1b382bd60a78", "region": "EU", "channelStatus": "ACTIVE" }, "maxTps": 10, "qualityRating": "GREEN", "bearerToken": "aaaaAAAA.bbbbBBBB.ccccCCCC", "cloudApi": true, "countryCode": "48", "phoneNumber": "777777777", "numberProvider": "CUSTOMER", "businessManager": "SINCH_UK", "compatibleRegions": [ "eu", "us" ] }
We'd love to hear from you!
Rate this content: